Separate reference tables by wiki
Closed, ResolvedPublic

Description

This will allow removing hacks like https://git.wikimedia.org/blob/mediawiki%2Fextensions%2FFlow.git/f0921bd9c7e9a03ef5ebc2a634a05827ddc21e00/includes%2FReferenceClarifier.php#L54 .

@werdna has a patch for this, which we should pick up: https://gerrit.wikimedia.org/r/#/c/136280 .

This will most likely affect any cross-wiki work we do, such as cross-wiki personal feeds.

Note to DBAs: Phase 1 of the SQL is already done.

Related Objects

Mattflaschen-WMF updated the task description. (Show Details)
Mattflaschen-WMF raised the priority of this task from to High.
Restricted Application added a project: Collaboration-Team-Triage. · View Herald TranscriptJul 28 2015, 8:30 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript

Change 136280 had a related patch set uploaded (by Mattflaschen):
Segregate Reference objects by source wiki.

https://gerrit.wikimedia.org/r/136280

This is also already partly in production (only phase 1), so it's an awkward in-progress state that differs from master and local testing (and probably Beta).

DannyH raised the priority of this task from High to Unbreak Now!.Aug 11 2015, 4:48 PM

Change 232671 had a related patch set uploaded (by Mattflaschen):
Set wgFlowMigrateReferenceWiki to true to start ref_src_wiki population

https://gerrit.wikimedia.org/r/232671

Change 232671 merged by jenkins-bot:
Set wgFlowMigrateReferenceWiki to true to start ref_src_wiki population

https://gerrit.wikimedia.org/r/232671

Change 136280 merged by jenkins-bot:
Segregate Reference objects by source wiki.

https://gerrit.wikimedia.org/r/136280

@Etonkovidova This is a multi-phase task. You can do regression testing now and look at the DB, but it will only really be done when T108104: Remove wgFlowMigrateReferenceWiki is (or at least that's removed from the config).

Also, for prod we need to do the remaining phases (4, 5, 6) of https://gerrit.wikimedia.org/r/#/c/136280/ after it rolls out to all production wikis.

Change 234162 had a related patch set uploaded (by Mattflaschen):
Fix another issue with patch-reference_wiki.sql

https://gerrit.wikimedia.org/r/234162

Change 234162 merged by jenkins-bot:
Fix another issue with patch-reference_wiki.sql

https://gerrit.wikimedia.org/r/234162

Change 234207 had a related patch set uploaded (by Mattflaschen):
Set $wgFlowMigrateReferenceWiki false on beta cluster

https://gerrit.wikimedia.org/r/234207

Change 235179 had a related patch set uploaded (by Mattflaschen):
Fix removing references by using right PK, only right indexes

https://gerrit.wikimedia.org/r/235179

Change 235179 merged by jenkins-bot:
Fix removing references by using right PK, only right indexes

https://gerrit.wikimedia.org/r/235179

Details for steps 4 and 5 (which is why this task is blocked on ops right now) are in T111084: Do backfill and final schema change for "Segregate Reference objects by source wiki."

Change 238111 had a related patch set uploaded (by Catrope):
Set $wgFlowMigrateReferenceWiki to false in production

https://gerrit.wikimedia.org/r/238111

Change 234207 merged by jenkins-bot:
Set $wgFlowMigrateReferenceWiki false on beta cluster

https://gerrit.wikimedia.org/r/234207

Change 238111 merged by jenkins-bot:
Set $wgFlowMigrateReferenceWiki to false in production

https://gerrit.wikimedia.org/r/238111

Checked in betalabs - as a general regression testing.

DannyH removed a subscriber: DannyH.Oct 5 2015, 10:46 PM

This task has "Unbreak now" priority but is blocked by T113245 (which has not seen any update for four weeks) and T111084. Is this realistic?

Mattflaschen-WMF added a subscriber: jcrespo.EditedOct 20 2015, 7:22 PM

T113245: Set wgFlowMigrateReferenceWiki to false in production is in QA Review (done, but pending QA). It previously had an inaccurate blocker. I have pinged @Etonkovidova about QA-ing it.

T111084: Do backfill and final schema change for "Segregate Reference objects by source wiki." is being worked on (or will be soon); @jcrespo posted on it yesterday.

The Unbreak Now is accurate. It's just that the user-impacting parts are already fixed, but the overall task is not.